#ifndef TASK_H
#define TASK_H

/**
 * @file task.h
 * @brief Defines task structure.
 */

#include <stdlib.h>

#include <fcntl.h>

/**
 * @struct task
 * @brief Describes location of partition
 *        to be processed by reducer.
 */
struct task {
	size_t intermediate_id;
	off_t part_start;
	size_t part_size;
};

#endif // TASK_H
