#ifndef ABSTRACTTEST_HPP
#define ABSTRACTTEST_HPP

#include <mapreduce/mapreduce.h>
#include <mapreduce/tests/CommonUtils.hpp>

/**
 * Abstract class represents MapReduce test class.
 */
class AbstractTest
{
protected:
	struct mapreduce_specification spec;
	struct mapreduce_error error;

public:
	virtual void runTest() = 0;
};

#endif

