/**
 * @file CommonUtils.cpp
 * @brief File contains definitions of testing common functions.
 */

#include <mapreduce/tests/CommonUtils.hpp>

namespace MapReduceTest
{
	/**
 	 * Function is used to get current process id. Use Unix API.
	 * @return	current process id.
	 */
	pid_t pid()
	{
		return getpid();
	}

}
